from typing import Dict, List, Union, Any, _eval_type


# TODO: This should not live here but instead somewhere elese that we expose to
#       the users if they ever want to bake in their own forward declarations
def bake_forward_declarations(type_object: Any, global_scope: Dict[str, Any], local_scope: Dict[str, Any]):
    _eval_type(type_object, global_scope, local_scope, frozenset())


JSONString = str
JSONNumber = float
JSONBool = bool
JSONNull = type(None)
JSONArray = List["JSONData"]
JSONObject = Dict[str, "JSONData"]

JSONData = Union[JSONString, JSONNumber, JSONBool, JSONNull, JSONArray, JSONObject]

bake_forward_declarations(JSONArray, globals(), locals())
bake_forward_declarations(JSONObject, globals(), locals())
